function y=LapRBF(phi,ep,x,xj)
%
% Returns the Laplacian
%  
  nd = size(x,2);
  np = size(x,1);
  nc = size(xj,1);
  
  if (np==1)
    r2x = (x(1)-xj(:,1)').^2;
    r2y = (x(2)-xj(:,2)').^2;
  elseif (nc==1)
    r2x = (x(:,1)-xj(1)).^2;
    r2y = (x(:,2)-xj(2)).^2;
  else    
    [xc,xp] = meshgrid(xj(:,1),x(:,1));
    [yc,yp] = meshgrid(xj(:,2),x(:,2));
    r2x = (xp-xc).^2; 
    r2y = (yp-yc).^2;
  end
  r=sqrt(r2x+r2y);

  if (phi=='mq')
    y=2*ep^2./sqrt(1+(ep*r).^2)-ep^4*r.^2./sqrt(1+(ep*r).^2).^3;
  elseif (phi=='iq')
    y=-4*ep^2./(1+(ep*r).^2).^2+8*ep^4*r.^2./(1+(ep*r).^2).^3;
  elseif (phi=='gs')
    y=(-4*ep^2+4*ep^4*r.^2).*exp(-ep^2*r.^2);
  else
    warning('Not implemented')
  end