function y=dRBF(phi,ep,x,xj)
%
% Currently computes the first derivative in the second coordinate
%
  nd = size(x,2);
  np = size(x,1);
  nc = size(xj,1);
  
  if (np==1)
    rx = x(1)-xj(:,1)';
    ry = x(2)-xj(:,2)';
  elseif (nc==1)
    rx = x(:,1)-xj(1);
    ry = x(:,2)-xj(2);
  else    
    [xc,xp] = meshgrid(xj(:,1),x(:,1));
    [yc,yp] = meshgrid(xj(:,2),x(:,2));
    rx = (xp-xc); 
    ry = (yp-yc);
  end
  r=sqrt(rx.^2+ry.^2);
  
  if (phi=='mq')
    y=ep^2*ry./sqrt(1+(ep*r).^2);
  elseif (phi=='iq')
    y=-2*ep^2*ry./(1+(ep*r).^2).^2;
  elseif (phi=='gs')
    y=-2*ep^2*ry.*exp(-ep^2*r.^2);
  else
    warning('Not implemented')
  end