function y=intfunc(x,x2,phi,ep,xj,m,g1,g2,qr,Psi)
  %
  % To be used with get_inner_prods in the call to MATLABs quadl
  % The integrand is phi_j(x,x2)*psi_m(x)
  % Important to make sure that all vectors are column vectors here.
  % I need to return the value for just one basis function here, not all
  % of them. xj is the center point and x is the evaluation point (vector).   
  %
  xrbf = [x(:) ones(length(x),1)*x2];
  if (qr)
    xqr = prescaleQR(Psi,xrbf);
    % Note here that each column is multiplied by y
    y = psifun(x(:),m,g1,g2) .* RBF_QR_mat_2D(Psi,'1',xqr);
  else  
    y = psifun(x(:),m,g1,g2) .* RBF(phi,ep,xrbf,xj);
  end  
