phi = 'mq';   %The RBF to use 'mq' or 'gs' for multiquadric or Gaussian
ep = 2;       % The shape parameter
kappa = 6*pi; % The wavenumber
N = 10;       % The number of unifrmly distributed basis functions
Ne = 100;     % The number of evaluation points

[xe,ue,uex,err]=solver(phi,ep,kappa,N,Ne);

figure(1)
plot(xe,real(ue),xe,real(uex))
xlabel('x')
ylabel('Re u(x)')
legend('RBF approx','Exact')

figure(2)
plot(xe,abs(err))
xlabel('x')
ylabel('|e(x)|')
title('The error in the RBF approximation')